<?php
namespace Claromentis\Menu\Infobar;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"] = (@$GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"] ?: array()) + array();
use Claromentis\Core\Icon\Svg;




class MenuItemApplication implements MenuItemLinkInterface
{
    public const DEFAULT_APP_ICON_URL = '/assets/images/generic-icon.svg';
    use MenuItemTrait;
    use MenuItemLinkTrait;
    private string $appId;
    public function __construct(string $_804150bb24b8f0ebcc9d2f995b7dc305, string $title, string $url, int $menu = InfobarMenuType::APPLICATIONS, bool $_cb3f1fcff8b93b4b750668c9e4157d3c = false, bool $_fd02c7e3d45300b40c3d9698e7b27faf = false)
    {
        $this->setAppId($_804150bb24b8f0ebcc9d2f995b7dc305);
        $this->setTitle($title);
        $this->setUrl($url);
        $this->setMenu($menu);
        $this->setNewWindow($_cb3f1fcff8b93b4b750668c9e4157d3c);
        $this->setDisabled($_fd02c7e3d45300b40c3d9698e7b27faf);
        $this->setId(null);
        $this->setDisplayOrder(null);
        $this->setIcon(new Svg(static::DEFAULT_APP_ICON_URL));
    }
    
    
    
    
    
    
    public function getAppId() : string
    {
        return $this->appId;
    }
    
    
    
    
    
    
    public function setAppId(string $_804150bb24b8f0ebcc9d2f995b7dc305) : void
    {
        $this->appId = $_804150bb24b8f0ebcc9d2f995b7dc305;
    }
    
    
    
    public function getType() : int
    {
        return ItemType::APPLICATION;
    }
    
    
}